Subject: Trouble building wu-ftpd on Sun 4.1.3U1 [1144]

From: Marty Hoff <[email-masked]>
Date: Tue, 17 Jan 1995 13:01:10 -0600 (CST)

I have a Sparc 5 running Sun OS 4.1.3U1.  I am trying to build the
wu-ftp2.4 and I keep running into trouble.  I am using gcc-2.6.3 for the
build.  I am not very experienced at building packages, so I thought I
would ask for help here.  I am including the significant portion of the
build output below.  Can anyone point me in the right direction?

I did not change any of the default paths in the src/pathnames.h file, in
case that makes a difference.

Thanks!

Marty Hoff

Build output ------------------------------

Making ftpd.
gcc -g -DDEBUG -I.. -I../support -L../support  -target sun4 -c  ftpd.c
ftpd.c: In function `statcmd':
ftpd.c:1972: `typenames' undeclared (first use this function)
ftpd.c:1972: (Each undeclared identifier is reported only once
ftpd.c:1972: for each function it appears in.)
ftpd.c:1974: `formnames' undeclared (first use this function)
ftpd.c:1982: `strunames' undeclared (first use this function)
ftpd.c:1982: `modenames' undeclared (first use this function)
*** Error code 1
make: Fatal error: Command failed for target `ftpd.o'
 
Making ftpcount.
gcc -g -DDEBUG -I.. -I../support -L../support -o ftpcount ftpcount.c
vers.o -lsupport
gcc: vers.o: No such file or directory
*** Error code 1
make: Fatal error: Command failed for target `ftpcount'

---

From: Kris Allan Kahn <[email-masked]>
Date: Tue, 17 Jan 1995 15:38:40 -0800 (PST)

Read the INSTALL file.  It tells you *exactly* how to avoid this error.

##/* In regards to the letter from Marty Hoff: */##
## 
## I have a Sparc 5 running Sun OS 4.1.3U1.  I am trying to build the
## wu-ftp2.4 and I keep running into trouble.  I am using gcc-2.6.3 for the
## build.  I am not very experienced at building packages, so I thought I
## would ask for help here.  I am including the significant portion of the
## build output below.  Can anyone point me in the right direction?
## 
## I did not change any of the default paths in the src/pathnames.h file, in
## case that makes a difference.
## 
## Thanks!
## 
## Marty Hoff
## 
## 
## Build output ------------------------------
## 
## Making ftpd.
## gcc -g -DDEBUG -I.. -I../support -L../support  -target sun4 -c  ftpd.c
## ftpd.c: In function `statcmd':
## ftpd.c:1972: `typenames' undeclared (first use this function)
## ftpd.c:1972: (Each undeclared identifier is reported only once
## ftpd.c:1972: for each function it appears in.)
## ftpd.c:1974: `formnames' undeclared (first use this function)
## ftpd.c:1982: `strunames' undeclared (first use this function)
## ftpd.c:1982: `modenames' undeclared (first use this function)
## *** Error code 1
## make: Fatal error: Command failed for target `ftpd.o'
##  
## Making ftpcount.
## gcc -g -DDEBUG -I.. -I../support -L../support -o ftpcount ftpcount.c
## vers.o -lsupport
## gcc: vers.o: No such file or directory
## *** Error code 1
## make: Fatal error: Command failed for target `ftpcount'
## 

-- 
  _____  _  _______ ____________  WHO: Kris Allan Kahn - [email-masked]  _____
 /__  / /.\ | . \ |_| / __ \ __ \ WHAT: Network Engineer - 415.472.1600  \  __\
   / /_/ _ \| __/  _  \ \/ / |/ / WHERE: North Bay Network - !SLIP/PPP! __\ \
  /_____/ \___| |_| |_|\__/|___/  WHYNOT: Every exit is also an entrance\____\
  Hackers, good.  Crackers, bad.  ADDRESS: 4000 Civic Center Dr, 4th fl.
             Got it?                       San Rafael, CA 94903

---

From: Alexander Haiut <[email-masked]>
Date: Wed, 18 Jan 1995 16:38:14 -0200 (GMT-0200)

Hi,

> make: Fatal error: Command failed for target `ftpd.o'

	this error fully explained in INSTALL file in wu-ftpd package.
	Here are few lines from there:

  .... INSTALL ......................................................

    If cc complains about strunames, typenames, modenames, ... being undefined
    you need to install support/ftp.h as /usr/include/arpa/ftp.h (always make
    a backup of the old ftp.h just in case!) and do the build again.  The new
    ftp.h should be a compatible superset of your existing ftp.h, so you
    shouldn't have problems with this replacement.
  ...................................................................

		Thanks!		--alex.

  Alexander L. Haiut
  Dept. of Computer Science		 	
  Ben-Gurion University, Israel
 _______________________________________
  www    : http://www.cs.bgu.ac.il/~alx
  e-mail : [email-masked]
  voice  : +972-7-461658